<?php
class WorldDataParser {

    function parseCSV($path) {
        $res = [];

        if (!is_file($path)) {
            echo 'Datei nicht vorhanden! - ' . $path;
        }

        $handle = fopen($path, "r");
        if ($handle !== FALSE) {
            while (($data = fgetcsv($handle, 1000, ",")) !== FALSE) {
                $res[] = $data; // data array (aktueller Zeile) zu multidimensionalen array hinzufügen
            }
            fclose($handle);
        } else {
            echo 'Konnte Datei nicht öffnen! - ' . $path;
        }

        return $res;
    }

    function saveXML($data) {
        if (file_exists("world_data.xml")) {
            unlink("world_data.xml");
        }

        $xml = '<?xml version="1.0" encoding="UTF-8"?>' . PHP_EOL;
        $xml .= '<Countries>'. PHP_EOL;
        foreach ($data as $zeilennummer => $csvzeile) {
            if ($zeilennummer === 0) {
                continue;
            }

            $xml .= "    <Country>". PHP_EOL;
            foreach ($csvzeile as $spaltennummer => $wert) {
                $spaltenname = $data[0][$spaltennummer];
                $spaltenname = trim($spaltenname);
                $wert = trim($wert);
                $spaltenname = str_replace(" ", "_", $spaltenname);

                $xml .= "        <". $spaltenname .">";
                $xml .= $wert;
                $xml .= "</". $spaltenname .">". PHP_EOL;
            }
            $xml .= "    </Country>". PHP_EOL;
        }
        $xml .= '</Countries>'. PHP_EOL;

        $file = 'world_data.xml';
        file_put_contents($file, $xml);

        return file_exists("world_data.xml");

    }
}